# VecPermute

Permutes a vector in place using the given ordering.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecPermute(Vec x, IS row, PetscTruth inv)

### Input Parameters

| vec | - The vector
| order | - The ordering
| inv | - The flag for inverting the permutation

Note: This function does not yet support parallel Index Sets

### See Also

MatPermute()

### Keywords

vec, permute

Level:beginner
Location: src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages